init error when powering off: openvt main process ended, respawning

Bug #673131 reported by Guilherme Salgado on 2010-11-09
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Linaro
Fix Released
Low
Loïc Minier

Bug Description

Got this error today when powering off a beagle xM running the latest headless image. It didn't seem to prevent the system from halting, though, as you can see.

That was on a Beagle xM A2. Image generated with hwpack_linaro-omap3_20101108-2_armel_supported.tar.gz and linaro-m-headless-tar-20101108-2.tar.gz

root@localhost:~# poweroff

Broadcast message from <email address hidden>
        (/dev/ttyS2) at 16:35 ...

The system is going down for power off NOW!
init: tty4 main process (455) killed by TERM signal
init: tty5 main process (456) killed by TERM signal
init: auto-serial-console main process (458) killed by TERM signal
init: tty2 main process (461) killed by TERM signal
init: tty3 main process (462) killed by TERM signal
init: tty6 main process (465) killed by TERM signal
init: cron main process (473) killed by TERM signal
 * Asking all remaining processes to terminate... [ OK ]
 * Killing all remaining processes...
init: openvt main process ended, respawning
                                                                         [fail]
 * Deconfiguring network interfaces... [ OK ]
 * Deactivating swap... [ OK ]
 * Unmounting weak filesystems... [ OK ]
 * Will now halt
[ 4169.439117] System halted.

Tom Gall (tom-gall) wrote :

I see this exact same message with the Nov 08 Headless build on a Rev A2 XM beagle.

Changed in linaro:
status: New → Confirmed
Jamie Bennett (jamiebennett) wrote :

Is this something we should be worrying about or is it just a bug we need to fix later?

Jamie Bennett (jamiebennett) wrote :

Looks harmless but I haven't dug deep to figure out what is going on.

On Tue, Nov 09, 2010 at 11:20:35PM -0000, Jamie Bennett wrote:
> Looks harmless but I haven't dug deep to figure out what is going on.

Worst case, it results in a couple more messages spit to the console at
shutdown. I don't think this is anything we need to worry about fixing
right now. For 11.05, we can fix it with a 'stop on runlevel [!2345]' in
the upstart job, to match /etc/init/tty1.conf.

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

KunalGoel (goelkunal) wrote :

same error on "headless image linaro-m-headless-tar-20101108-2.tar.gz + hwpack_linaro-bsp-ux500_20101109-1_armel_unsupported.tar.gz"

Changed in linaro:
importance: Undecided → Low
tags: added: beaglexm omap3
Loïc Minier (lool) wrote :

I fixed this in linaro-overlay yesterday as I was seeing the error on shutdown myself; I also mailed upstart-devel@ on the suggestion of Steve as he thought there was an upstart bug here too, but the message didn't pass moderation yet.

Changed in linaro:
assignee: nobody → Loïc Minier (lool)
status: Confirmed → Fix Released
Loïc Minier (lool) wrote :

linaro-overlay (1105.1) natty; urgency=low

  * etc/init/openvt.conf: stop on runlevel [!2345] as to avoid an error
    message when openvt is respawned during shutdown.
  * etc/init/auto-serial-console.conf: just exec /bin/auto-serial-console, not
    /bin/sh /bin/auto-serial-console as it's already a +x shell script with
    proper shebang.

 -- Loïc Minier <email address hidden> Fri, 01 Apr 2011 20:26:40 +0200

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers